# needsrootforbuild
# rootforbuild
#!BuildIgnore:          post-build-checks
%define qdir  		/var/qmail
%define VPOP_HOME	/var/vpopmail
%define _initdir	/%{_sysconfdir}/init.d

# vpopmail group
%define VPOPGID 89

# vpopmail user
%define VPOPUID 89


Name:		vpopmail
Version:	5.4.33
Release:	50.52.11
Summary:	Virtual domains for qmail

Group:		Applications/Productivity
License:	GPL
URL:		http://vpopmail.sourceforge.net
Source0:	http://osdn.dl.sourceforge.net/sourceforge/vpopmail/%{name}-%{version}.tar.bz2
Source1:	%{name}-rpmlintrc
Patch0:		%{name}-%{version}-makefile-am.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Provides:	%{name}-devel = %{version}-%{release}
Requires:	maildrop spamassassin netqmail >= 1.06-50 mysql ucspi-tcp patch
BuildRequires:	maildrop spamassassin netqmail >= 1.06-50 maildrop mysql-devel ucspi-tcp qmail_prepare_build >= 0.2

%description
Vpopmail is a set of programs for creating and managing multiple virtual domains on a qmail server, 
with full support for many POP/IMAP servers.

%prep
%setup -q
%patch0 -p1
autoreconf -fi

%configure \
 --enable-qmaildir=%{qdir} \
 --enable-qmail-newu=%{qdir}/bin/qmail-newu \
 --enable-qmail-inject=%{qdir}/bin/qmail-inject \
 --enable-qmail-newmrh=%{qdir}/bin/qmail-newmrh \
 --enable-vpopuser=vpopmail \
 --enable-vpopgroup=vchkpw \
 --enable-roaming-users \
 --enable-tcprules-prog=%{_bindir}/tcprules \
 --enable-tcpserver-file=%{_sysconfdir}/tcprules.d/tcp.smtp \
 --disable-rebuild-tcpserver-file \
 --enable-relay-clear-minutes=30 \
 --enable-qmail-ext \
 --enable-ip-alias-domains \
 --enable-onchange-script \
 --enable-spamassassin \
 --enable-spamc-prog=%{_bindir}/spamc \
 --enable-maildrop \
 --enable-maildrop-prog=%{_bindir}/maildrop \
 --enable-domains-dir=domains \
 --enable-incdir=%{_includedir}/mysql \
 --enable-libdir=%{_libdir}/mysql \
 --enable-auth-module=mysql \
 --enable-logging=p \
 --enable-log-name=%{name} \
 --enable-sql-logging \
 --enable-mysql-limits \
 --enable-mysql-replication \
 --enable-valias \
 --enable-skeleton \
 --enable-non-root-build

%build
if [ -z "`%__grep "^vchkpw:" /etc/group 2>/dev/null`" ]; then
  %{_sbindir}/groupadd -r -g %{VPOPGID} vchkpw
fi

if [ -z "`%__grep "^vpopmail" /etc/passwd 2>/dev/null`" ]; then
  %{_sbindir}/useradd -c "vpopmail" -d %{VPOP_HOME} -g %{VPOPGID} -u %{VPOPUID} -r -s /bin/bash vpopmail
fi

%__make %{?_smp_mflags}

%install
%__make DESTDIR=$RPM_BUILD_ROOT install
# create mysql default config
echo "localhost|0|vpopmailuser|vpoppasswd|vpopmail" > $RPM_BUILD_ROOT/%{VPOP_HOME}/etc/vpopmail.mysql
%__install -m 644 %{S:1} $RPM_BUILD_DIR/%{name}-%{version}/

%pre
if [ "$1" = "1" ]; then
 if [ -z "`%__grep "^vchkpw:" /etc/group 2>/dev/null`" ]; then
   %{_sbindir}/groupadd -r -g %{VPOPGID} vchkpw
 fi

 if [ -z "`%__grep "^vpopmail" /etc/passwd 2>/dev/null`" ]; then
   %{_sbindir}/useradd -c "vpopmail" -d %{VPOP_HOME} -g %{VPOPGID} -u %{VPOPUID} -r -s /bin/bash vpopmail
 fi
fi

%post
#echo "PARAM_pre: "$1
# on `rpm -ivh` PARAM is 1
# on `rpm -Uvh` PARAM is 2
for SVC in %{qdir}/supervise/qmail-smtpd/env %{qdir}/supervise/qmail-msa/env %{qdir}/supervise/amavis/env ; do
 if [ -d "${SVC}" ] ; then
	if [ ! -f "${SVC}/AUTHCMD" ] ; then
		echo "/var/vpopmail/bin/vchkpw /bin/true" > ${SVC}/AUTHCMD
		chown qmaill:qmail ${SVC}/AUTHCMD
	fi
 fi
done
cp %__grep %{VPOP_HOME}/bin/vgrep
cp /bin/ls %{VPOP_HOME}/bin/vpopls
chown vpopmail:vchkpw %{VPOP_HOME}/bin/vgrep %{VPOP_HOME}/bin/vpopls
chmod 6755 %{VPOP_HOME}/bin/vgrep %{VPOP_HOME}/bin/vpopls

%preun
if [ $1 == 0 ]; then
 # remove on uninstall
 rm -f %{VPOP_HOME}/bin/vgrep
 rm -f %{VPOP_HOME}/bin/vpopls
 for SVC in %{qdir}/supervise/qmail-smtpd/env %{qdir}/supervise/qmail-msa/env %{qdir}/supervise/amavis/env ; do
  if [ -d "${SVC}" ] ; then
        if [ -f "${SVC}/AUTHCMD" ] ; then
                sed -i s@"/var/vpopmail/bin/vchkpw /bin/true"@""@ ${SVC}/AUTHCMD
        fi
  fi
 done
fi

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc ChangeLog
%doc doc/README*
%doc doc/AUTHORS
%doc doc/FAQ
%doc doc/UPGRADE
%doc doc/TODO
%doc doc/COPYING
%defattr(0755,vpopmail,vchkpw)
%{VPOP_HOME}/bin/clearopensmtp
%{VPOP_HOME}/bin/dotqmail2valias
%{VPOP_HOME}/bin/vaddaliasdomain
%{VPOP_HOME}/bin/vadddomain
%{VPOP_HOME}/bin/vadduser
%attr(6755,vpopmail,vchkpw) %{VPOP_HOME}/bin/valias
%{VPOP_HOME}/bin/vchangepw
%attr(6755,vpopmail,vchkpw) %{VPOP_HOME}/bin/vchkpw
%{VPOP_HOME}/bin/vconvert
%{VPOP_HOME}/bin/vdeldomain
%{VPOP_HOME}/bin/vdelivermail
%{VPOP_HOME}/bin/vdeloldusers
%{VPOP_HOME}/bin/vdeluser
%attr(6755,vpopmail,vchkpw) %{VPOP_HOME}/bin/vdominfo
%{VPOP_HOME}/bin/vipmap
%{VPOP_HOME}/bin/vkill
%{VPOP_HOME}/bin/vlist
%{VPOP_HOME}/bin/vmkpasswd
%{VPOP_HOME}/bin/vmoddomlimits
%{VPOP_HOME}/bin/vmoduser
%{VPOP_HOME}/bin/vpasswd
%{VPOP_HOME}/bin/vpopbull
%{VPOP_HOME}/bin/vpopmaild
%{VPOP_HOME}/bin/vsetuserquota
%{VPOP_HOME}/bin/vusagec
%attr(6755,vpopmail,vchkpw) %{VPOP_HOME}/bin/authvchkpw
%attr(6755,vpopmail,vchkpw) %{VPOP_HOME}/bin/vuserinfo
%defattr(0640,vpopmail,vchkpw)
%config(noreplace) %{VPOP_HOME}/etc/%{name}.mysql
%config(noreplace) %{VPOP_HOME}/etc/vlimits.default
%config(noreplace) %{VPOP_HOME}/etc/vusagec.conf
%defattr(0644,vpopmail,vchkpw)
%{VPOP_HOME}/etc/inc_deps
%{VPOP_HOME}/etc/lib_deps
%{VPOP_HOME}/include/*
%defattr(-,vpopmail,vchkpw)
%{VPOP_HOME}/doc
%attr(644,vpopmail,vchkpw) %{VPOP_HOME}/lib/libvpopmail.a

%changelog
* Sun Sep 04 2011 Carsten Schoene <cs@linux-administrator.com> - 5.2.33-1
- update to release 5.2.33
- add AUTHCMD to supervise scripts

* Mon Nov 08 2010 Carsten Schoene <cs@linux-administrator.com> - 5.2.32-1
- update to stable-release 5.2.32

* Sat Feb 27 2010 Carsten Schoene <cs@linux-administrator.com> - 5.2.30-1
- update to stable-release 5.2.30

* Fri Dec 04 2009 Carsten Schoene <cs@linux-administrator.com> - 5.2.29-1
- update to stable-release 5.2.29
 - reworked makefile patches

* Fri Sep 25 2009 Carsten Schoene <cs@linux-administrator.com> - 5.2.28-1
- update to stable-release 5.4.28
 - removed skel patch, it's not maintained any more

* Wed Feb 18 2009 Carsten Schoene <cs@linux-administrator.com>
- update to stable-release 5.4.27
- reworked skel patch

* Sat Jan 17 2009 Carsten Schoene <cs@linux-administrator.com>
- update to devel-release 5.4.27
- reworked skel patch

* Sun Oct 19 2008 Carsten Schoene <cs@linux-administrator.com>
- added skel patch + open (fix) patch
- add set-uid set-gid permissions on binaries need for vpopmailuser checkplugin (qmail-spp)

* Mon Apr 28 2008 Carsten Schoene <cs@linux-administrator.com> - 5.4.26
- initial build
